#include <bits/stdc++.h>
using namespace std;
vector<pair<long long,long long> > v;
int main(){
ios_base::sync_with_stdio(0);
cin.tie(NULL);
cout.tie(NULL);
long long n; cin>>n;
long long d=0;
for(long long i=0;i<n;i++){
    long long x,y; cin>>x>>y;
    x+=10003; y+=10003;
    for(long long j=0;j<i;j++){
        long long x1,y1; tie(x1,y1)=v[j]; x1-=x; y1-=y;
        d+=((x1*x1)+(y1*y1));
    }
    v.push_back({x,y});
}
cout<<d<<'\n';
return 0;
}
